MKNETID(8)

NAME
mknetid - generate netid map data

SYNOPSIS
mknetid [-q] [-g group_file] [-p passwd_file] [-h hosts_file] [-n netid_file] [-d domain]

DESCRIPTION
The mknetid utility processes the contents of the group(5), passwd(5), hosts(5) and netid(5) files into the format used to generate the netid.byname NIS map. This map is used to hold credential information for both users and hosts in an operating system independent format.

The mknetid utility checks for duplicate occurrences of netids and filters them out.

The mknetid utility prints its results on the standard output. It is usually called only by /var/yp/Makefile when rebuilding the NIS maps.

OPTIONS
The mknetid utility supports the following options:

-q  Normally, mknetid prints a warning message when it encounters a duplicate netid. This flag turns on 'quiet' mode, allowing the warnings to be suppressed. Other error messages may still be generated.

-g group_file
    Specify the location of the group information file. The compiled-in default is /etc/group.

-p passwd_file
    Specify the location of the passwd information file. The compiled-in default is /etc/passwd.

-h hosts_file
    Specify the location of the hosts database file. The compiled-in default is /etc/hosts.

-n netid_file
    Specify the location of the netid information file. The compiled-in default is /etc/netid. Note that no error is generated if the netid database cannot be found. The netid database is not likely to be present on most systems until Secure RPC support is added to FreeBSD.

-d domain
    By default, the mknetid utility uses the system domainname when generating netid records. If the system domainname is not set, the domain must be specified on the command line with the -d flag. If the domainname is set, the -d flag may be used to override it.

FILES
/var/yp/Makefile
    the Makefile that calls yp_mkdb and mknetid to build the NIS databases
/etc/group
    the default group database file
/etc/passwd
    the default passwd database file
/etc/hosts
    the default hosts database file
/etc/netid
    the default netid database file

SEE ALSO
yp(8), yp_mkdb(8)

AUTHORS
Bill Paul <wpaul@ctr.columbia.edu>